#include "guess.h"
#include <bits/stdc++.h>
using namespace std;

int ans(int l, int r) {
    if(l == r) return l;
    int mid = (l + r) >> 1;
    if(smaller(mid)) return ans(l, mid - 1);
    else return ans(mid, r);
}

int find_number(int MAX) {
    return ans(1, MAX);
}

